from dip.shell.shells.main_window import MainWindowShell
from dip.ui import Application, IApplication, IView


# Create the toolkit specific application.
app = Application()

# Define the shell.
shell = MainWindowShell(window_title="Trivial Shell")

# Create the toolkit specific instance of the shell.
ui = shell()

# Make the shell visible using the toolkit independent API.
IView(ui).visible = True

# Enter the event loop.
IApplication(app).execute()
