import sys

from PyQt4.QtGui import QApplication

from dip.ui import Form, SpinBox


# Every PyQt GUI application needs a QApplication.
app = QApplication(sys.argv)

# Create the model.
model = dict(name='', age=0)

# Define the view.
view = Form('name', SpinBox('age', suffix=" years"),
        window_title="Configure Views")

# Create an instance of the view for the model.
ui = view(model)

# Make the instance of the view visible.
ui.show()

# Enter the event loop.
app.exec_()

# Show the value of the model.
print("Name:", model['name'])
print("Age:", model['age'])
