import sys

from PyQt4.QtGui import QApplication

from dip.ui import Dialog, SpinBox


# Every PyQt GUI application needs a QApplication.
app = QApplication(sys.argv)

# Create the model.
model = dict(name='', age=0)

# Define the view.
view = Dialog('name', SpinBox('age', suffix=" years"), window_title="Dialog")

# Create an instance of the view bound to the model.
ui = view(model)

# Enter the dialog's modal event loop.
ui.exec_()

# Show the value of the model.
print("Name:", model['name'])
print("Age:", model['age'])
